<template>
  <basic-container>
    <avue-tabs :option="Taboption" @change="handleChange"></avue-tabs>
    <span v-if="type.prop==='tab1'">
    <avue-crud :data="data" :option="option"></avue-crud>
    </span>
    <span v-else-if="type.prop==='tab2'">模板流程</span>
    <span v-else-if="type.prop==='tab3'">模板阶段</span>
    <span v-else-if="type.prop==='tab4'">模板按钮流程</span>
  </basic-container>

</template>

<script>
export default {
  name: "TemplatePro.vue",
  data: function () {
    return {
      type: {},
      Taboption: {
        column: [{
          icon: 'el-icon-info',
          label: '模板属性',
          prop: 'tab1',
        }, {
          icon: 'el-icon-warning',
          label: '模板流程',
          prop: 'tab2',
        }, {
          icon: 'el-icon-question',
          label: '模板阶段',
          prop: 'tab3',
        }, {
          icon: 'el-icon-question',
          label: '模板按钮流程',
          prop: 'tab4',
        }]
      },
      data:[
        {
          EnglishNum:"测试一",
          ChinaName:"测试一",
          PropGruop:"测试一",
          Type:"测试一"
        },
        {
          EnglishNum:"测试二",
          ChinaName:"测试二",
          PropGruop:"测试二",
          Type:"测试二"
        },
        {
          EnglishNum:"测试三",
          ChinaName:"测试三",
          PropGruop:"测试三",
          Type:"测试三"
        }
      ],
      option: {
        index: true,
        border: true,
        editBtn:false,
        labelWidth:110,
        column: [
          {
            label: "属性英文编号",
            prop: "EnglishNum",
            fixed:true,
            labelWidth:110,
            width:95
          },
          {
            label: "属性中文名称",
            prop: "ChinaName",
            fixed:true,
            width:95
          },
          {
            label: "属性分组",
            prop: "PropGruop"
          },
          {
            label: "类型",
            prop: "Type"
          },
          {
            label: "列表宽度",
            prop: "ListWidth"
          },
          {
            label: "关键属性",
            prop: "KeyAttr"
          },
          {
            label: "查询属性",
            prop: "QueryPro"
          },
          {
            label: "高级查询属性",
            prop: "SeniorQueryPro",
            width:95
          },
          {
            label: "相似查询属性",
            prop: "SimilarPro",
            width:95
          },
          {
            label: "必输",
            prop: "MustLose"
          },
          {
            label: "表单显示",
            prop: "FormDIs"
          },
          {
            label: "列表显示",
            prop: "TableDis"
          },
          {
            label: "只读",
            prop: "readOnly"
          },
          {
            label: "列表排序",
            prop: "ListSort"
          },

          {
            label: "多行文本",
            prop:"LineText",
          },
          {
            label: "默认值",
            prop:"DefaultValue",
          },
          {
            label: "前缀",
            prop:"prefix",
          },
          {
            label: "后缀",
            prop:"suffix"
          },
          {
            label: "组合规则",
            prop:"ComRules"
          },
          {
            label: "验证规则",
            prop:"rules"
          },
          {
            label: "时间格式",
            prop:"TimeForm"
          },
          {
            label: "分类注入",
            prop:"claInjection"
          },
          {
            label: "分类注入",
            prop:"EnuInjection"
          },
          {
            label: "级联属性",
            prop:"CasProp"
          },
          {
            label: "参照配置",
            prop:"RefConfig"
          },
          {
            label: "级联查询属性",
            prop:"CasQueryProp"
          },
          {
            label: "选择库标识",
            prop:"SelectLib"
          },
          {
            label: "填写提示",
            prop:"FillPrompt"
          },
          {
            label: "表单显示样式",
            prop:"FormShow"
          },
          {
            label: "表单超链接",
            prop:"FormHer"
          },
          {
            label: "表格显示js",
            prop:"CrudJs"
          },
          {
            label: "长度",
            prop:"length"
          },
          {
            label: "小数精度",
            prop:"DecimalPrecis"
          },
          {
            label: "取值范围",
            prop:"ValueRange"
          },
        ]
      }
    }
  },
  created() {
    this.type = this.Taboption.column[0];
    this.type.prop="tab1"
  },
  methods: {
    handleChange(column) {
      this.type = column
      this.$message.success(JSON.stringify(column))
    }
  }
}
</script>

<style scoped>

</style>
